#pragma once

#include "Lib_Settings.h"

#ifdef __cplusplus //if you're writing in C++, export as C
extern "C"
{
#endif

	LIB_API void init();

	LIB_API int numGamePads();

	LIB_API bool isConnected(int gamepadIndex);

	LIB_API bool getButtonDown(int gamepadIndex, int Button);

	LIB_API bool getButtonUp(int gamepadIndex, int Button);

	LIB_API bool getButtonPressed(int gamepadIndex, int Button);

	LIB_API bool getButtonReleased(int gamepadIndex, int Button);

	LIB_API void gamePadUpdate();

	LIB_API float getAxis(int gamepadIndex, int button, int axis = 0);


#ifdef __cplusplus //if you're NOT coding in C++, do nothing
}
#endif